4.5 .net framework

Questions about Wine on Linux
Post Reply
zacmario
Newbie
Newbie
Posts: 4
Joined: Wed Apr 17, 2019 6:00 pm

4.5 .net framework

Post by zacmario » Wed Apr 17, 2019 6:31 pm

Hi, I've been using Lubuntu for a year now. There are some applications I'd like to use that requires .net framework v4.5. I have not been successful in installing it and can't find a straight answer anywhere to get it working. Can someone help me please?

User avatar
DarkShadow44
Level 7
Level 7
Posts: 920
Joined: Tue Nov 22, 2016 5:39 pm

Re: 4.5 .net framework

Post by DarkShadow44 » Wed Apr 24, 2019 6:50 pm

Install winetricks, and then run "winetricks -q dotnet45" on the commandline.

Veyrdite
Newbie
Newbie
Posts: 3
Joined: Fri Apr 26, 2019 6:23 am

Re: 4.5 .net framework

Post by Veyrdite » Fri Apr 26, 2019 8:07 am

I'm running dotnet 461 (via winetricks). It's mostly working for what i want, with the occasional graphical glitches and oddities.

General warning: be wary of any programs that try to install older versions of dotnet (eg dotnet20) in their installers. I ended up in a situation where dotnet461 wouldn't reinstall again and no dotnet apps would work at all any more. I had to nuke my wineprefix and start again.

Post Reply